<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

<xsl:output method="html" />
<xsl:param name="sortkey" select="Name"/>
<xsl:param name="n" select="Name"/>


<xsl:template match="Spieler">
  <h2>Spieler</h2>
  <p style="font-size:larger">
    Name:  
    <xsl:choose>
      <!-- Test, ob Name definiert, 
           ansonsten werden die Striche ausgegeben -->
      <xsl:when test="Name">
        <!-- Jetzt noch ein Bild dazu -->
        <img><xsl:attribute name="src"> 
        <xsl:value-of select="Name" /> <xsl:text>.jpg</xsl:text>
      </xsl:attribute> </img>
    </xsl:when>
    <xsl:otherwise>
      Kein Name bekannt
    </xsl:otherwise>
  </xsl:choose>
  <br/>
  Punkte: <xsl:value-of select="Punkte" /><br/>
  Position: 
  Spalte <xsl:value-of select="Position/@Spalte" />,
  Zeile <xsl:value-of select="Position/@Zeile" />
</p> 
</xsl:template> 
  
<xsl:template match="Springerspiel">
      <h1>Ein Spiel der Springer-Reise</h1>
      <p style="font-size:larger">
        Spielfeld: 
        <xsl:value-of select="Breite" />  x 
        <xsl:value-of select="Hoehe" /> = 
        <xsl:value-of select="Breite * Hoehe" /> Felder
      </p> 

      <xsl:variable name="AnzahlSpieler" select="count(Spieler)"/>
      <xsl:choose>
        <xsl:when test="$AnzahlSpieler &lt; 2">
          Einzelspieler-Modus 
      </xsl:when>
      <xsl:otherwise>
        Multispieler-Modus 
      </xsl:otherwise>
    </xsl:choose>


    Anzahl der Spieler: 
    <xsl:value-of select="count(Spieler)"/> <br/>
    Gesamtpunkte:
    <xsl:value-of select="sum(Spieler/Punkte)"/>
    Spieler sortiert nach: <xsl:value-of select="$sortkey" />


    <xsl:for-each select="Spieler"> 
    <xsl:sort select="*[name()=$sortkey]"/>
    <h2>Spieler</h2>
    <p style="font-size:larger">
      Name:  
      <xsl:choose>
        <!-- Test, ob Name definiert, 
             ansonsten werden die Striche ausgegeben -->
        <xsl:when test="Name">
          <xsl:value-of select="Name" />
      </xsl:when>
      <xsl:otherwise>
        Kein Name bekannt
      </xsl:otherwise>
    </xsl:choose>
    <br/>
    Punkte: <xsl:value-of select="Punkte" /><br/>
    Position: 
    Spalte <xsl:value-of select="Position/@Spalte" />,
    Zeile <xsl:value-of select="Position/@Zeile" />
  </p> 
</xsl:for-each>

</xsl:template> 

</xsl:stylesheet>